Package org.h2.dev.util

# Class FileViewer

java.lang.Object
org.h2.util.Tool
org.h2.dev.util.FileViewer

public class FileViewer extends Tool
A text file viewer that support very large files.

## Field Summary

### Fields inherited from class org.h2.util.Tool

`out`

## Constructor Summary

Constructors
Constructor
Description
`FileViewer()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String... args)`
Run the viewer.
`void`
`runTool(String... args)`
Run the tool with the given output stream and arguments.
`protected void`
`showUsage()`
Print the usage of the tool.

### Methods inherited from class org.h2.util.Tool

`getMainClassName, isOption, printNoDatabaseFilesFound, setOut, showUsageAndThrowUnsupportedOption, throwUnsupportedOption`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileViewer

public FileViewer()

## Method Details

### main

public static void main(String... args) throws SQLException
Run the viewer.

Parameters:
  `args` - the command line arguments
Throws:
  `SQLException`

### showUsage

protected void showUsage()
Description copied from class: `Tool`
Print the usage of the tool. This method reads the description from the resource file.

Overrides:
  `showUsage` in class `Tool`

### runTool

public void runTool(String... args) throws SQLException
Description copied from class: `Tool`
Run the tool with the given output stream and arguments.

Specified by:
  `runTool` in class `Tool`
Parameters:
  `args` - the argument list
Throws:
  `SQLException` - on failure